meson: explicitly disable unity builds

Related #460
parent 40cdcc0f
......@@ -8,6 +8,13 @@ project(
)
# Unity build
if get_option('unity') != 'off'
error('unity builds are not supported! ' +
'https://gitlab.labs.nic.cz/knot/knot-resolver/issues/460')
endif
message('--- required dependencies ---')
knot_version = '>=2.8'
libknot = dependency('libknot', version: knot_version)
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment